Bug 99073 - UI: double clicking on a form folder does not unfold it anymore
Summary: UI: double clicking on a form folder does not unfold it anymore
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
5.1.1.1 rc
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: target:5.2.0 target:5.1.3
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2016-04-04 09:58 UTC by Sébastien Ducoulombier
Modified: 2016-09-16 12:32 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
forms under a folder (18.24 KB, application/vnd.oasis.opendocument.database)
2016-04-04 11:11 UTC, Sébastien Ducoulombier
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sébastien Ducoulombier 2016-04-04 09:58:15 UTC
To reproduce :
 - Open or create a .odb file containing forms grouped in folders.
 - clicking on the triangle on the left of a folder name toggles folding.
 - double-clicking on the name of the folder does not toggle folding.

Double-clicking used to work up to version 5.0, and users got used to it.
Please restore this behaviour.
Comment 1 raal 2016-04-04 10:30:57 UTC Comment hidden (obsolete)
Comment 2 Sébastien Ducoulombier 2016-04-04 11:11:35 UTC
Created attachment 124065 [details]
forms under a folder
Comment 3 raal 2016-04-05 05:00:45 UTC
This seems to have begun at the below commit.
Adding Cc: to Noel Grandin; Could you possibly take a look at this one? Thanks

3dc6251beb6e88c371ca1432a42397a503db8899 is the first bad commit
commit 3dc6251beb6e88c371ca1432a42397a503db8899
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Sat Sep 12 23:10:40 2015 -0700

    source sha:cf0c04a428754dfd5aa477cebc5441bc74e27005

    source sha:cf0c04a428754dfd5aa477cebc5441bc74e27005

author	Noel Grandin <noel@peralex.com>	2015-09-10 12:39:17 (GMT)
committer	Noel Grandin <noel@peralex.com>	2015-09-11 06:48:54 (GMT)
commit	cf0c04a428754dfd5aa477cebc5441bc74e27005 (patch)
tree	6d4657ec370a3378887745b34d217a91bdab2eef
parent	e8ee8473361f09034fdcd4f30a2325a53a512a7a (diff)
convert Link<> to typed
Comment 4 Commit Notification 2016-04-05 08:25:45 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e4f02b250402d48793fe1bb79d419c0e1a822cb5

tdf#99073 fix double-click tree node expansion in base

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2016-04-12 08:50:04 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b3f357129d589dcfe8dd9c817bc8aead72b31f9b&h=libreoffice-5-1

tdf#99073 fix double-click tree node expansion in base

It will be available in 5.1.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2016-09-15 22:33:04 UTC
Hello,
Is this bug fixed?
If so, could you please close it as RESOLVED FIXED?
Comment 7 Sébastien Ducoulombier 2016-09-16 12:32:15 UTC
Yes, this is fixed, I can open folders double-clicking on them in version 5.2.0.4.